## nvidia-settings-tesla-535 535.230.02

=== debian/changelog ===
nvidia-settings-tesla-535 (535.230.02-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-535.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Feb 2025 03:06:08 +0100

nvidia-settings (535.230.02-1) unstable; urgency=medium

  * New upstream release 535.230.02.
  * Bump Standards-Version to 4.7.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Feb 2025 01:16:57 +0100

nvidia-settings-tesla-535 (535.216.01-1) unstable; urgency=medium

  * Fork as nvidia-settings-tesla-535.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Oct 2024 00:22:34 +0100

nvidia-settings (535.216.01-1) unstable; urgency=medium

  * New upstream release 535.216.01.
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Oct 2024 23:22:45 +0100

nvidia-settings (535.171.04-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 16:50:02 +0100

nvidia-settings (535.171.04-1) unstable; urgency=medium

  * New upstream release 535.171.04.
    - Updated the nvidia-settings control panel to ensure that the entire
      Display Configuration page can be used when the Layout window is shown.
    - Updated the nvidia-settings control panel to allow the primary display
      to be set on any GPU in a multi-GPU system.
  * New upstream release 535.146.02.
    - Fixed a bug that caused the nvidia-settings control panel to crash
      when running on Wayland with newer versions of libwayland-client.
  * New upstream release 535.54.03.
    - Fixed a bug that prevented SLI Mosaic controls from being displayed in
      the nvidia-settings control panel when using GSP Firmware.
  * New upstream release 535.43.02.
    - Added power usage and power limits information to nvidia-settings
      PowerMizer page.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 11:28:14 +0100

nvidia-settings (530.41.03-1) unstable; urgency=medium

  * New upstream release 530.41.03.
  * Switch B-D from pkg-config to pkgconf.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2024 19:47:39 +0100

nvidia-settings-tesla (525.147.05-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.
  * Switch B-D from pkg-config to pkgconf.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Mar 2024 11:35:42 +0100

nvidia-settings (525.147.05-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Feb 2024 00:39:29 +0100

nvidia-settings (525.147.05-1) unstable; urgency=medium

  * New upstream release 525.147.05.
  * Build for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jan 2024 19:29:45 +0100

nvidia-settings-tesla (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:10:27 +0200

nvidia-settings-tesla (525.125.06-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 00:04:57 +0200

nvidia-settings (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 11:01:23 +0200

nvidia-settings (525.125.06-1) unstable; urgency=medium

  * New upstream release 525.125.06.
  * New upstream release 525.105.17.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when resetting the display layout.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 23:27:45 +0200

nvidia-settings (525.85.05-2) experimental; urgency=medium

  * Move source package back to contrib.
  * libxnvctrl0, libxnvctrl-dev are now built by src:libxnvctrl.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Apr 2023 22:28:02 +0200

nvidia-settings-tesla (525.85.05-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Feb 2023 09:12:09 +0100

nvidia-settings (525.85.05-1) unstable; urgency=medium

  * New upstream release 525.85.05.
    - Fixed a bug that prevented some controls in the nvidia-settings
      control panel from working when running an X server as an
      unprivileged user.
  * New upstream release 525.78.01.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when using a newer control panel with an older driver.
  * New upstream release 525.53.
    - Updated the nvidia-settings control panel to prevent the creation
      of display layouts that exceed hardware size limitations when using
      the SLI Mosaic configuration page, and to display a warning if such
      a layout is created manually in the Display Configuration page.
    - Removed the hard dependency on GTK 2 when building nvidia-settings
      from source. nvidia-settings may now be built with support for GTK 2
      only, GTK 3 only, or both GTK 2 and GTK 3.
  * Refresh patches.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 19:01:15 +0100

nvidia-settings (520.56.06-1) unstable; urgency=medium

  * New upstream release 520.56.06.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 17:35:12 +0100

nvidia-settings-tesla (515.86.01-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:47:49 +0100

nvidia-settings (515.86.01-1) unstable; urgency=medium

  * New upstream release 515.86.01.
    - Fixed a bug that caused nvidia-settings to find incorrect fan speed
      ranges on some GPUs.  Lower-level layers of the driver protected
      the hardware from programming incorrect fan speeds, so the symptom
      was only incorrect reporting.  Now, reporting in nvidia-settings
      matches what actually gets programmed in hardware.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 03:17:12 +0100


