## nvidia-settings-tesla-535 535.247.01

=== debian/changelog ===
nvidia-settings-tesla-535 (535.247.01-2) unstable; urgency=medium

  * Stop building for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jun 2025 21:51:25 +0200

nvidia-settings-tesla-535 (535.247.01-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-535.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 May 2025 01:22:33 +0200

nvidia-settings (535.247.01-1) unstable; urgency=medium

  * New upstream release 535.247.01.
  * Relax the nvidia-alternative dependency on ppc64el.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 May 2025 00:03:29 +0200
