=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-535/main
 
 Package: nvidia-settings-tesla-535
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
